Subject: Minor PCI & DMA init cleanups

From: Oliver O'Halloran <[email-masked]>
Date: Fri, 10 Jan 2020 18:02:02 +1100

Pulled out of my big series since these are fairly standalone changes

The series folds some single-use functions together and shovels around
some code so it lives in a more sensible location. No functional
changes.